Results 1 to 7 of 7

Thread: yast glibc not found

  1. #1

    Default yast glibc not found

    When I run yast, I get:

    /usr/lib/YaST2/bin/y2base: /usr/local/lib/libstdc++.so.6: version `GLIBCXX_3.4.10' not found (required by /usr/lib/libycp.so.3)
    /usr/lib/YaST2/bin/y2base: /usr/local/lib/libstdc++.so.6: version `GLIBCXX_3.4.10' not found (required by /usr/lib/libycp.so.3)

    But, these files do exist:

    l /usr/local/lib/libstdc++.so.6

    lrwxrwxrwx 1 root root 18 2009-10-09 10:45 /usr/local/lib/libstdc++.so.6 -> libstdc++.so.6.0.9

    I have installed other versions of gcc (4.2.3), because I needed it for MatLab.

    Did my installation of 4.2.3 overwrite the C library? If so, how can I maintain two different versions of gcc?

    Without yast, I'm not even sure how to manage packages from the command line.

    Here's my installation:

    OS: Linux 2.6.27.29-0.1-default i686
    System: openSUSE 11.1 (i586)
    KDE: 4.3.1 (KDE 4.3.1) "release 169"


    Thanks in advance.

  2. #2
    Join Date
    Jun 2008
    Location
    Ardrishaig, Argyll. Scotland UK - GMT/BST
    Posts
    36,867
    Blog Entries
    20

    Default Re: yast glibc not found

    You could try this in a su terminal

    Code:
    rpmdb --rebuilddb
    it takes a little while.
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: yast glibc not found

    Thanks, but the rebuilddb didn't help. Any other ideas?

  4. #4
    Join Date
    Jun 2008
    Location
    Ardrishaig, Argyll. Scotland UK - GMT/BST
    Posts
    36,867
    Blog Entries
    20

    Default Re: yast glibc not found

    Can you get the result of this from a terminal

    Code:
    zypper lr -d
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: yast glibc not found

    Seems like zypper is having the same problems as yast (or this was the source of the error in yast):


    zypper: /usr/local/lib/libstdc++.so.6: version `GLIBCXX_3.4.10' not found (required by zipper)
    zypper: /usr/local/lib/libstdc++.so.6: version `GLIBCXX_3.4.10' not found (required by /usr/lib/libzypp.so.523)

  6. #6
    Join Date
    Jun 2008
    Location
    Ardrishaig, Argyll. Scotland UK - GMT/BST
    Posts
    36,867
    Blog Entries
    20

    Default Re: yast glibc not found

    Go here:
    Index of /distribution/11.1/repo/oss/suse

    Depending if you are _64 or not get this rpm:
    libstdc++43

    Save it and manually install it like this from a su terminal

    Code:
    rpm -ihv *packagename.rpm --force
    see if that sorts it
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: yast glibc not found

    No, installing or rebuilding anything related to rpm will not help at all.

    and here's the reason:

    Code:
    l /usr/local/lib/libstdc++.so.6
    
    lrwxrwxrwx 1 root root 18 2009-10-09 10:45 /usr/local/lib/libstdc++.so.6 -> libstdc++.so.6.0.9

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •